## mauikit-accounts 4.0.2+p24.04+vstable+git20251019.0656

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Camilo Higuita <milo.h@aol.com>
#
# SPDX-License-Identifier: GPL-3.0-or-later

cmake_minimum_required(VERSION 3.16)

set(QT_MAJOR_VERSION 6)
set(REQUIRED_QT_VERSION 6.4)

set(KF_MAJOR_VERSION 6)
set(REQUIRED_KF_VERSION 5.240.0)

set(MAUI_MAJOR_VERSION 4)
set(MAUIKIT_VERSION 4.0.2)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

set(AUTOMOC_MOC_OPTIONS -Muri=org.mauikit.accounts)

project(Accounts LANGUAGES CXX VERSION ${MAUIKIT_VERSION})

find_package(ECM ${REQUIRED_KF_VERSION} NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(GenerateExportHeader)
include(GNUInstallDirs)
include(FeatureSummary)
include(CMakePackageConfigHelpers)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(KDEPackageAppTemplates)
include(KDEClangFormat)

include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMFindQmlModule)
include(ECMQmlModule)
include(ECMSourceVersionControl)

if(ANDROID)
    find_package(Gradle REQUIRED)
endif()

find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS
    Core
    Quick
    Sql
    Network )

find_package(KF${KF_MAJOR_VERSION} ${REQUIRED_KF_VERSION} REQUIRED COMPONENTS
    I18n
    CoreAddons)

find_package(MauiKit${MAUI_MAJOR_VERSION} ${MAUIKIT_VERSION} REQUIRED)

if(${ECM_SOURCE_UNDER_VERSION_CONTROL})
    execute_process(
        COMMAND git rev-parse --abbrev-ref HEAD
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
        OUTPUT_VARIABLE GIT_BRANCH
        OUTPUT_STRIP_TRAILING_WHITESPACE)

    # Get the latest abbreviated commit hash of the working branch
    execute_process(
        COMMAND git log -1 --format=%h
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
        OUTPUT_VARIABLE GIT_COMMIT_HASH
        OUTPUT_STRIP_TRAILING_WHITESPACE)

    add_definitions(-DGIT_COMMIT_HASH="${GIT_COMMIT_HASH}")
    add_definitions(-DGIT_BRANCH="${GIT_BRANCH}")

else()
    add_definitions(-DGIT_COMMIT_HASH="${PROJECT_VERSION}")
    add_definitions(-DGIT_BRANCH="Stable")
endif()

if (QT_KNOWN_POLICY_QTP0004)
    qt_policy(SET QTP0004 NEW)
endif()

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/MauiKitAccounts${MAUI_MAJOR_VERSION}")

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX Accounts
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/accounts_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/MauiKitAccounts${MAUI_MAJOR_VERSION}ConfigVersion.cmake"
    SOVERSION ${PROJECT_VERSION_MAJOR})

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/MauiKitAccountsConfig.cmake.in.${QT_MAJOR_VERSION}"
    "${CMAKE_CURRENT_BINARY_DIR}/MauiKitAccounts${MAUI_MAJOR_VERSION}Config.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    PATH_VARS CMAKE_INSTALL_PREFIX)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/MauiKitAccounts${MAUI_MAJOR_VERSION}ConfigVersion.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/MauiKitAccounts${MAUI_MAJOR_VERSION}Config.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel)

install(EXPORT MauiKitAccounts${MAUI_MAJOR_VERSION}Targets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE MauiKitAccounts${MAUI_MAJOR_VERSION}Targets.cmake
    NAMESPACE MauiKit${MAUI_MAJOR_VERSION}::)

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/accounts_version.h"
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/MauiKit${MAUI_MAJOR_VERSION}/Accounts
    COMPONENT Devel)

add_definitions(-DTRANSLATION_DOMAIN="mauikitaccounts")
ki18n_install(po)

add_subdirectory(src)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

## mauikit-accounts 4.0.0

=== debian/changelog ===
mauikit-accounts (4.0.0-0zneon+22.04+jammy+release+build6) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 16 Sep 2024 01:58:25 +0000

mauikit-accounts (4.0.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 04 Sep 2024 10:14:11 +0000

mauikit-accounts (3.1.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 10:14:11 +0000

mauikit-accounts (3.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 02 Dec 2023 10:14:06 +0000

mauikit-accounts (3.0.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 25 May 2023 10:14:06 +0000

mauikit-accounts (2.2.2-neon) unstable; urgency=medium

  * Initial release

 -- Jonathan Riddell <jr@jriddell.org>  Tue, 04 May 2020 19:57:31 +0000

=== debian/control ===
Source: mauikit-accounts
Section: lib
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               mauikit-dev,
               ninja-build,
               qt6-base-dev,
               qt6-declarative-dev
Standards-Version: 4.6.2
Homepage: https://mauikit.org/
Vcs-Git: https://invent.kde.org/neon/neon-packaging/mauikit-accounts.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/mauikit-accounts
Maintainer: Neon CI <neon@kde.org>

Package: qml6-module-org-mauikit-accounts
Architecture: any
Depends: libmauikit,
         libmauikitaccounts4,
         qml6-module-org-kde-kirigami2,
         qml6-module-org-maui-mauikit,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-shapes,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: qml-module-org-mauikit-accounts (<< 4.0.0)
Conflicts: qml-module-org-mauikit-accounts (<< 4.0.0)
Replaces: qml-module-org-mauikit-accounts (<< 4.0.0)
Description: MauiKit Utilities to Handle User Accounts
 MauiKit utilities to handle User Accounts
 .
 This package contains the mauikit accounts qml module.

Package: libmauikitaccounts4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libmauikitaccounts3 (<< 4.0.0)
Conflicts: libmauikitaccounts3 (<< 4.0.0)
Replaces: libmauikitaccounts3 (<< 4.0.0)
Description: MauiKit Utilities to Handle User Accounts
 MauiKit utilities to handle User Accounts
 .
 This package contains the mauikit accounts library.

Package: libmauikitaccounts-dev
Architecture: any
Depends: libmauikitaccounts4,
         qml6-module-org-mauikit-accounts,
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: MauiKit Utilities to Handle User Accounts
 MauiKit utilities to handle User Accounts
 .
 This package contains mauikit accounts development files.

## mauikit-accounts 4.0.2

=== debian/changelog ===
mauikit-accounts (4.0.2-0zneon+24.04+noble+release+build13) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 00:59:23 +0000

mauikit-accounts (4.0.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 29 May 2025 10:14:12 +0000

mauikit-accounts (4.0.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 10:14:28 +0000

mauikit-accounts (4.0.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 04 Sep 2024 10:14:10 +0000

mauikit-accounts (3.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 10:14:11 +0000

## mauikit-accounts 4.0.2+p24.04+vstable+git20251019.0656

=== debian/changelog ===
mauikit-accounts (4.0.2+p24.04+vstable+git20251019.0656-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 06:56:30 +0000

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,6 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: qml-module-org-mauikit-accounts (<< 4.0.0)
-Conflicts: qml-module-org-mauikit-accounts (<< 4.0.0)
 Replaces: qml-module-org-mauikit-accounts (<< 4.0.0)
 Description: MauiKit Utilities to Handle User Accounts
  MauiKit utilities to handle User Accounts
@@ -40,7 +39,6 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: libmauikitaccounts3 (<< 4.0.0)
-Conflicts: libmauikitaccounts3 (<< 4.0.0)
 Replaces: libmauikitaccounts3 (<< 4.0.0)
 Description: MauiKit Utilities to Handle User Accounts
  MauiKit utilities to handle User Accounts
@@ -58,3 +56,15 @@
  MauiKit utilities to handle User Accounts
  .
  This package contains mauikit accounts development files.
+
+Package: libmauikitaccounts3
+Architecture: all
+Depends: libmauikitaccounts4, ${misc:Depends}
+Description: Dummy transitional
+ Transitional dummy package.
+
+Package: qml-module-org-mauikit-accounts
+Architecture: all
+Depends: qml6-module-org-mauikit-accounts, ${misc:Depends}
+Description: Dummy transitional
+ Transitional dummy package.

## mauikit-accounts 4.0.2+p24.04+vstable+git20251020.0044

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Camilo Higuita <milo.h@aol.com>
#
# SPDX-License-Identifier: BSD-2-Clause

remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_STRICT_ITERATORS -DQT_NO_CAST_FROM_BYTEARRAY)

add_library(MauiKitAccounts${MAUI_MAJOR_VERSION} SHARED)

ecm_add_qml_module(MauiKitAccounts${MAUI_MAJOR_VERSION}
    URI "org.mauikit.accounts"
    CLASS_NAME AccountsPlugin
    NO_PLUGIN_OPTIONAL
    NO_GENERATE_PLUGIN_SOURCE
    DEPENDENCIES
    "org.mauikit.controls")

set(plugin_SRCS
    code/accounts_plugin.cpp
    code/accounts.qrc)

set(lib_SRCS
    code/mauiaccounts.cpp
    code/accountsdb.cpp
    code/moduleinfo.cpp)

set(lib_HDRS
    code/mauiaccounts.h
    code/moduleinfo.h)

ecm_target_qml_sources(MauiKitAccounts${MAUI_MAJOR_VERSION} SOURCES
    controls.${QT_MAJOR_VERSION}/AccountsDialog.qml
    controls.${QT_MAJOR_VERSION}/AccountsMenuItem.qml
    controls.${QT_MAJOR_VERSION}/CredentialsDialog.qml)

target_sources(MauiKitAccounts${MAUI_MAJOR_VERSION}plugin
    PRIVATE
    ${plugin_SRCS})

target_sources(MauiKitAccounts${MAUI_MAJOR_VERSION}
    PRIVATE
    ${lib_SRCS})

add_library(MauiKit${MAUI_MAJOR_VERSION}::Accounts ALIAS MauiKitAccounts${MAUI_MAJOR_VERSION})

generate_export_header(MauiKitAccounts${MAUI_MAJOR_VERSION} BASE_NAME Accounts)
set_target_properties(MauiKitAccounts${MAUI_MAJOR_VERSION} PROPERTIES
    VERSION ${PROJECT_VERSION}
    SOVERSION ${PROJECT_VERSION_MAJOR}
    EXPORT_NAME "Accounts")

target_include_directories(MauiKitAccounts${MAUI_MAJOR_VERSION}
    INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/MauiKit${MAUI_MAJOR_VERSION}/Accounts>")

target_include_directories(MauiKitAccounts${MAUI_MAJOR_VERSION} PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR};${CMAKE_CURRENT_BINARY_DIR};>")

target_link_libraries(MauiKitAccounts${MAUI_MAJOR_VERSION}plugin
    PRIVATE
    Qt${QT_MAJOR_VERSION}::Core
    Qt${QT_MAJOR_VERSION}::Quick
    Qt${QT_MAJOR_VERSION}::Qml
    Qt${QT_MAJOR_VERSION}::Sql
    Qt${QT_MAJOR_VERSION}::Network
    KF${KF_MAJOR_VERSION}::I18n
    MauiKit${MAUI_MAJOR_VERSION}
    MauiKit${MAUI_MAJOR_VERSION}::Accounts)

target_link_libraries(MauiKitAccounts${MAUI_MAJOR_VERSION}
    PRIVATE
    MauiKit${MAUI_MAJOR_VERSION}
    Qt${QT_MAJOR_VERSION}::Sql
    Qt${QT_MAJOR_VERSION}::Core
    KF${KF_MAJOR_VERSION}::CoreAddons)

ecm_finalize_qml_module(MauiKitAccounts${MAUI_MAJOR_VERSION} DESTINATION ${KDE_INSTALL_QMLDIR})

install(TARGETS MauiKitAccounts${MAUI_MAJOR_VERSION} EXPORT MauiKitAccounts${MAUI_MAJOR_VERSION}Targets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    ${lib_HDRS}
    ${CMAKE_CURRENT_BINARY_DIR}/accounts_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/MauiKit${MAUI_MAJOR_VERSION}/Accounts
    COMPONENT Devel)

=== debian/changelog ===
mauikit-accounts (4.0.2+p24.04+vstable+git20251020.0044-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 00:44:55 +0000

## mauikit-accounts 4.0.2+p24.04+vstable+git20260130.0942

=== debian/changelog ===
mauikit-accounts (4.0.2+p24.04+vstable+git20260130.0942-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 09:42:28 +0000

## mauikit-accounts 4.0.2+p24.04+vunstable+git20251123.1828

=== debian/changelog ===
mauikit-accounts (4.0.2+p24.04+vunstable+git20251123.1828-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 18:28:48 +0000

## mauikit-accounts 4.0.2+p24.04+vunstable+git20260130.1243

=== debian/changelog ===
mauikit-accounts (4.0.2+p24.04+vunstable+git20260130.1243-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 12:43:18 +0000

## mauikit-accounts 4.0.2+p24.04+vunstable+git20260205.0758

=== debian/changelog ===
mauikit-accounts (4.0.2+p24.04+vunstable+git20260205.0758-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 07:58:52 +0000

## mauikit-accounts 4.0.2+p24.04+vunstable+git20260219.0105

=== debian/changelog ===
mauikit-accounts (4.0.2+p24.04+vunstable+git20260219.0105-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 19 Feb 2026 01:05:35 +0000

## mauikit-accounts 4.0.2+p24.04+vunstable+git20260221.0656

=== debian/changelog ===
mauikit-accounts (4.0.2+p24.04+vunstable+git20260221.0656-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 21 Feb 2026 06:56:41 +0000
